const electron = require('electron');
const { contextBridge, ipcRenderer } = electron;
const config = require('./config');

contextBridge.exposeInMainWorld('ipcRenderer', ipcRenderer);
contextBridge.exposeInMainWorld('addIpcRendererListener', (event, callback) => {
  ipcRenderer.on(event, callback);
});
contextBridge.exposeInMainWorld('systemConfig', config);
